#!/usr/local/bin/tclsh

proc do_file {month day out dir f} {
    puts "File $f"
    set in [open $dir/$f]
    set namel [split $f "/"]
    set namef [lindex $namel [expr [llength $namel]-1]]
    if {$in > 0} {
	set julean [string range $namef 3 5]
	set hour   [string range $namef 6 7]
	set min    [string range $namef 9 10]
	set ro 0
	set rop 0
	set rom 0
	set err 0
	while {![eof $in]} {
	    gets $in line
	    set line [split "$line" "{} "]
	    #puts "$line"
	    if {[llength $line] > 1} {
	    if {[lindex $line 0] == "Limit"} {set err [lindex $line 2]}
	    if {[lindex $line 0] == "Measured" } {
		set ro [lindex $line 7]
		set ro [string range $ro 0 [expr [string length $ro]-3]]
		set rop [lindex $line 9]
		set rom [lindex $line 11]
		if {$ro == "NaN"} {set ro 0}
		if {$rop == "NaN"} {set rop 0}
		if {$rom == "NaN"} {set rom 0}
		if {$ro == "Infinity"} {set ro 0}
		if {$rop == "Infinity"} {set rop 0}
		if {$rom == "Infinity"} {set rom 0}
	    }	
	    }
	}
	if {$err < 3 } {
	  puts $out "$month $day $julean $hour $min $ro $rop $rom $err"
	  puts "$month $day $julean $hour $min $ro $rop $rom $err"
        }
	close $in
    }
}

proc do_dir {out dir} {
    puts "Directory $dir"
    set month [string range $dir 0 1]
    set day [string range $dir 2 3]
    if {[catch "exec ls $dir" files] == 0} {
    set flen [llength $files]
    for {set f 0} {$f < $flen} {incr f} {
	if {[regexp ".*.results$" [lindex $files $f]]} {
	do_file $month $day $out $dir [lindex $files $f]  
    }
    }
    }
}


set dir [exec /bin/ls ]
set dlen [llength $dir]
set out [open stats w+]

puts $dir

#for {set d 0} {$d < $dlen} {incr d} {
#   if {[regexp "^.....$" [lindex $dir $d]]} { 
#     do_dir $out [lindex $dir $d]
#   }
#}
do_dir $out .
close $out

