pro histreport

    ; Set parameters
    r0arr = fltarr(200)
    totcount = 0
    set_plot, 'ps'
    ; Get the current time

    now = strcompress(strtrim(!stime, 1))
    now = str2arr(now,delim=' ')
    date = str2arr(now(0),delim='-')

    year = float(date(2))
    case strupcase(date(1)) of
       	'JAN': month = 1.
       	'FEB': month = 2.
        'MAR': month = 3.
   	'APR': month = 4.
   	'MAY': month = 5.
   	'JUN': month = 6.
   	'JUL': month = 7.
   	'AUG': month = 8.
   	'SEP': month = 9.
   	'OCT': month = 10.
   	'NOV': month = 11.
   	'DEC': month = 12.
    endcase
    day = float(date(0))

    repeat begin
        print, 'Enter Ending Year Month Day (', fix(year), fix(month),$
				 fix(day), ')'
       	user_input = ' '
       	read, user_input
       	user_vals = str2arr(strcompress(strtrim(user_input)), delim=' ')

       	tiyear = year
       	timonth = month
       	tiday = day

       	if n_elements(user_vals) EQ 3 then begin
                tiyear = float(user_vals(0))
      	        timonth = float(user_vals(1))
      	    	tiday = float(user_vals(2))
        endif

	ystr = strcompress(strtrim(string(fix(tiyear), format='(i4.4)' ) ))
	mstr = strcompress(strtrim(string( fix(timonth), format='(i2.2)')))
	dstr = strcompress(strtrim(string(fix(tiday), format='(i2.2)' ) ))
	datestr = '/scra/nsm/'+ystr+'/'+mstr+dstr

	if NOT (timonth LE 12 and timonth GE 1 and tiday GE 1 and $
          		tiday LE 31) then begin
		print
		print, 'Huh?  Try that again ...'
		print
	endif $
	else begin
		year = tiyear
		month = timonth
		day = tiday
	endelse
    endrep until (timonth LE 12 and timonth GE 1 and tiday GE 1 and tiday LE 31)

    if month GT 12 then month = 12
    if month LT 1 then month = 1
	
    if year LT 100 then year = year+1900 	; Y2K
    if year LT 70 then year = year+100

    print, year, month, day

    jd = ymd2jd(year, month, day)
    doy = getdyr(year, month, day)   ; Day of year

    jd = jd - 7.

    jd2ymd, jd, year, month, day
    doy = getdyr(year, month, day)   ; Day of year

    totcount = 0

    xt = ['0000', '0000', '0000', '0000', '0000', '0000', '0000' ]

    for i = 0, 6 do begin

    	ystr = strcompress(strtrim(string(fix(year), format='(i4.4)' ) ))
    	mstr = strcompress(strtrim(string( fix(month), format='(i2.2)')))
    	dstr = strcompress(strtrim(string(fix(day), format='(i2.2)' ) ))

    	if (i eq 0) then begin
    		firstday = mstr+'/'+dstr+'/'+ystr
    	endif

    	xt(i) = mstr+dstr

    	fname = '/scra/nsm/r0/'+ystr+'/'+mstr+dstr
     	command = 'ls '+fname 
   
       	spawn, strcompress(command), result, count = lscount

    	if (lscount ne 0) then begin
		get_lun, unit
		openr, unit, fname
		readf, unit, doy
		while (not eof(unit) ) do begin
			readf, unit, hr, r0
			r0arr(totcount) = r0
    			totcount = totcount + 1
		endwhile
		free_lun, unit
    	endif

    	jd = jd + 1
    	jd2ymd, jd, year, month, day
         	
    endfor

    lastday = mstr+'/'+dstr+'/'+ystr

    if (totcount LE 0) then begin
       	print, "Could not find any data!"
    endif

    print, r0arr(0:totcount-1)
    xd = indgen(31)

    if (totcount gt 0) then begin
	h = histogram (r0arr(0:totcount-1), binsize=1, min=0., max=30.)
        print, 'histo = ', h
	plot, xd(1:30), h, ytitle = "Frequency", xtitle="R0 value (cm)",$
		title = 'R0 Results from '+firstday+' to '+lastday, $
		xrange=[0.,30.], yrange=[0,20], $
		ystyle=1, psym=10
    endif

    device, /close
    spawn, 'lpr idl.ps'

bottom:

end
