pro r0report

    ; Set parameters
    set_plot, 'ps'
    ; Get the current time

    now = strcompress(strtrim(!stime, 1))
    now = str2arr(now,delim=' ')
    date = str2arr(now(0),delim='-')

    year = float(date(2))
    case strupcase(date(1)) of
       	'JAN': month = 1.
       	'FEB': month = 2.
        'MAR': month = 3.
   	'APR': month = 4.
   	'MAY': month = 5.
   	'JUN': month = 6.
   	'JUL': month = 7.
   	'AUG': month = 8.
   	'SEP': month = 9.
   	'OCT': month = 10.
   	'NOV': month = 11.
   	'DEC': month = 12.
    endcase
    day = float(date(0))

    repeat begin
        print, 'Enter Ending Year Month Day (', fix(year), fix(month),$
				 fix(day), ')'
       	user_input = ' '
       	read, user_input
       	user_vals = str2arr(strcompress(strtrim(user_input)), delim=' ')

       	tiyear = year
       	timonth = month
       	tiday = day

       	if n_elements(user_vals) EQ 3 then begin
                tiyear = float(user_vals(0))
      	        timonth = float(user_vals(1))
      	    	tiday = float(user_vals(2))
        endif

	ystr = strcompress(strtrim(string(fix(tiyear), format='(i4.4)' ) ))
	mstr = strcompress(strtrim(string( fix(timonth), format='(i2.2)')))
	dstr = strcompress(strtrim(string(fix(tiday), format='(i2.2)' ) ))
	datestr = '/scra/nsm/'+ystr+'/'+mstr+dstr

	if NOT (timonth LE 12 and timonth GE 1 and tiday GE 1 and $
          		tiday LE 31) then begin
		print
		print, 'Huh?  Try that again ...'
		print
	endif $
	else begin
		year = tiyear
		month = timonth
		day = tiday
	endelse
    endrep until (timonth LE 12 and timonth GE 1 and tiday GE 1 and tiday LE 31)

    if month GT 12 then month = 12
    if month LT 1 then month = 1
	
    if year LT 100 then year = year+1900 	; Y2K
    if year LT 70 then year = year+100

    print, year, month, day

    jd = ymd2jd(year, month, day)
    doy = getdyr(year, month, day)   ; Day of year

    jd = jd - 7.

    jd2ymd, jd, year, month, day
    doy = getdyr(year, month, day)   ; Day of year

    totcount = 0

    meanarr = fltarr(7)
    stdarr = fltarr(7)
    minarr = fltarr(7)
    maxarr = fltarr(7)
    for i = 0, 6 do begin
    	meanarr(i) = -1.
    	stdarr(i) = -1.
    	minarr(i) = -1.
    	maxarr(i) = -1.
    endfor

    xt = ['0000', '0000', '0000', '0000', '0000', '0000', '0000' ]

    for i = 0, 6 do begin

    	ystr = strcompress(strtrim(string(fix(year), format='(i4.4)' ) ))
    	mstr = strcompress(strtrim(string( fix(month), format='(i2.2)')))
    	dstr = strcompress(strtrim(string(fix(day), format='(i2.2)' ) ))

    	if (i eq 0) then begin
    		firstday = mstr+'/'+dstr+'/'+ystr
    	endif

    	xt(i) = mstr+dstr

    	fname = '/scra/nsm/r0/'+ystr+'/'+mstr+dstr
     	command = 'ls '+fname 
   
       	spawn, strcompress(command), result, count = lscount

    	if (lscount ne 0) then begin
    		ro_avg, fname, mean, std, min, max
    		meanarr(i) = mean
    		stdarr(i) = std
		minarr(i) = min
		maxarr(i) = max
    		totcount = totcount + 1
		if (meanarr(i) eq 0.) then meanarr(i) = -1.
    	endif

    	jd = jd + 1
    	jd2ymd, jd, year, month, day
         	
    endfor

print, 'min: ', minarr
print, 'max: ', maxarr

    lastday = mstr+'/'+dstr+'/'+ystr

    if (totcount LE 0) then begin
       	print, "Could not find any data!"
    endif

    xarr = indgen(8)

    if (totcount gt 0) then begin
    	print, 'means = ', meanarr
    	plot, xarr(1:7), meanarr, psym=4, xtitle = 'Date (MMDD)', $
    		ytitle= 'R0 Average (line spans min to max)', yrange=[0.,30.], $
    		xstyle=1, xticks = 7, xrange=[1,8], $
    		xtickv=xarr(1:7), xtickname=xt, xminor = 1,  $
    		title = 'R0 Results from '+firstday+' to '+lastday
	for i = 1, 7 do begin
		xpos = [i, i]
		ypos = [minarr(i-1), maxarr(i-1)]
		oplot, xpos, ypos
	endfor
    endif

    device, /close
    spawn, 'lpr idl.ps'

bottom:

end
