;
;	roplot, year, dayofyr
;
;	EKO 2/28/97
;	read in reduced nsm data, and plot ro (cm) against
;	time (UT)

pro roplot, year, dayofyr

filename = '/ahac1/nsm/r0/'+string(year)+'/'+string(dayofyr) 
print, 'filename: ', filename

openr, unit, filename, /get_lun

date = strarr(1)
date = dayofyr
;readf, unit, date
;print, 'date = ', date

; limited to 1200 data points
ro_arr = fltarr(1200)
time_arr = fltarr(1200)

count = 0

while (not eof(unit) ) do begin
	readf, unit, t, f
	if (t gt 24.) then t = t - 24.
	time_arr(count) = t
	ro_arr(count) = f
	count = count + 1
endwhile

print, ' number of data points ', count

close, unit

mean = ro_arr(0)
std = 0.0

if (count gt 1) then begin
	std = stdev (ro_arr(0:count-1), mean)
endif
meanstr = strcompress ( string (mean) )
stdstr = strcompress ( string (std) )
countstr = strcompress ( string (count) )

subt = '# Data = '+ countstr + '   Mean =  ' + meanstr + '   Std Dev = ' + stdstr

;set_plot, 'ps'
nsmscl

titlestr = 'DNSM R0 values for data taken '+string(year)+'  DOY '+date(0)
plot, time_arr, ro_arr, xtitle = 'Time (UT)', ytitle ='R0 (cm)', title=titlestr,  $
	psym=1, xrange=[time_arr(0), (time_arr(count-1)+1)], yrange=[0, 40], $
	xmargin=[10, 10], ymargin=[7, 5], subtitle = subt, ystyle = 9

; Font 9 table, octal 44 for the infinity symbol
; print, "44 -> 36

inf = string(36B)

axis, yaxis=1, ystyle=1, ytitle='FWHM (arcsec)', ytickn=['!9' + inf , '!3 1.0', '0.5', '0.35', '0.252'], $
	yticks=4

netsave, '/ahac1/nsm/'+string(year)+'/'+dayofyr+'.jpg'

;spawn, 'lpr idl.ps'

end
