;
;	testplot, filename
;	filename is in the form '../yyyy/ddd'
;
;	EKO 2/28/97
;	read in reduced nsm data, and plot ro (cm) against time (UT)
;	WJG 4/4/01 added plot of data that did not reduce

pro testplot, year, filename

; r0 and time values are read from /scra/nsm/r0/yyyy/ddd
openr, unit, filename, /get_lun

date = strarr(1)
readf, unit, date
print, 'date = ', date

ro_arr = fltarr(1000)
time_arr = fltarr(1000)

count = 0

while (not eof(unit) ) do begin
	readf, unit, t, f
	if (t gt 24.) then t = t - 24.
	time_arr(count) = t
	ro_arr(count) = f
	count = count + 1
endwhile

print, ' number of data points ', count

close, unit

; time values are read from /scra/nsm/r0/yyyy/ddd.notreduced

notreduced = filename+".notreduced"
openr, unit, notreduced, /get_lun

ntime_arr = fltarr(1000)
ndata_arr = fltarr(1000)

ncount = 0

while (not eof(unit) ) do begin
	readf, unit, t
	if (t gt 24.) then t = t - 24.
	ntime_arr(count) = t
	ndata_arr(count) = 0.5
	ncount = ncount + 1
endwhile

close, unit

mean = ro_arr(0)
std = 0.0

if (count gt 1) then begin
	std = stdev (ro_arr(0:count-1), mean)
endif
meanstr = strcompress ( string (mean) )
stdstr = strcompress ( string (std) )
countstr = strcompress ( string (count) )

subt = '# Data ='+ countstr + '  Mean =' + meanstr + '  Std Dev =' + stdstr

;set_plot, 'ps'
nsmscl

titlestr = 'DNSM R0 values for data taken '+string(year)+'  DOY '+date(0)

plot, time_arr, ro_arr, xtitle = 'Time (UT)', ytitle ='R0 (cm)', $
	title=titlestr, psym=1, xrange=[time_arr(0), (time_arr(count-1)+1)], yrange=[0, 35], $
	subtitle = subt, ystyle = 1 

oplot, ntime_arr, ndata_arr, psym=5

netsave, '/scra/nsm/'+string(year)+'/testplot.gif'

;spawn, 'lpr idl.ps'

end
